<dbe-view-frame
  [loading]="loading"
  [heading]="heading"
  back="app.private.dashboard"
>
  <ng-container content>
    <div fxLayout="row wrap">
      <mat-form-field fxFlex="100">
        <mat-label>Nome*</mat-label>
        <input matInput placeholder="Nome" [(ngModel)]="item.name" />
      </mat-form-field>
      <mat-form-field fxFlex="100">
        <mat-label>Cognome*</mat-label>
        <input matInput placeholder="Cognome" [(ngModel)]="item.surname" />
      </mat-form-field>
      <div fxFlex="100">
        <p class="mat-subheading-2">
          <b>{{ 'Modifica email' }}</b>
        </p>
        <div fxLayout="row wrap">
          <mat-form-field fxFlex="100">
            <mat-label>E-mail*</mat-label>
            <input
              matInput
              placeholder="E-mail"
              type="email"
              [(ngModel)]="item.email"
            />
          </mat-form-field>
          <mat-form-field *ngIf="false" fxFlex="100">
            <mat-label>Conferma email*</mat-label>
            <input
              matInput
              placeholder="Email"
              type="email"
              [(ngModel)]="item.emailConfirmation"
            />
          </mat-form-field>
        </div>
      </div>
      <div fxFlex="100">
        <p class="mat-subheading-2">
          <b>{{ 'Modifica password' }}</b>
          &nbsp;
          <small (click)="generatePassword()">genera</small>
        </p>
        <div fxLayout="row wrap">
          <mat-form-field fxFlex="100">
            <mat-label>Password*</mat-label>
            <input
              matInput
              [type]="hide ? 'password' : 'text'"
              placeholder="Password"
              [(ngModel)]="item.password"
            />
            <mat-icon matSuffix (click)="hide = !hide">{{
              hide ? 'visibility' : 'visibility_off'
            }}</mat-icon>
          </mat-form-field>
          <mat-form-field fxFlex="100">
            <mat-label>Conferma password*</mat-label>
            <input
              matInput
              [type]="hide ? 'password' : 'text'"
              placeholder="Conferma Password"
              [(ngModel)]="item.passwordConfirmation"
            />
            <mat-icon matSuffix (click)="hide = !hide">{{
              hide ? 'visibility' : 'visibility_off'
            }}</mat-icon>
          </mat-form-field>
        </div>
      </div>
    </div>
  </ng-container>
  <ng-container sidebar>
    <div fxLayout="row wrap">
      <div fxFlex="100" style="margin-bottom: 32px; text-align: center;">
        <button
          mat-raised-button
          color="primary"
          (click)="updateUser()"
          [disabled]="disabledButton"
        >
          Salva
        </button>
      </div>
      <div fxFlex="100">
        <div fxLayout="row" fxLayoutAlign="center center">
          <div fxFlex>
            <p class="mat-h3 mat-bold mb-0">
              <b>PIN</b>
            </p>
            <p class="mb-0" *ngIf="item.pin">{{ item.pin }}</p>
          </div>
          <div fxFlex="nogrow">
            <button
              mat-stroked-button
              color="primary"
              (click)="item.pin = ''; updateUser()"
            >
              Rigenera
            </button>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
</dbe-view-frame>